FORUMS

Analysis & Opinion

Top Forum Discussions

[DEV] How to build CM10.1 (Android 4.2.1) for the galaxysmtd

120 posts
Thanks Meter: 91
 
By gitch101, Senior Member on 4th December 2012, 12:57 PM
Post Reply Subscribe to Thread Email Thread
20th January 2013, 08:39 AM |#91  
dark_knight35's Avatar
Senior Member
Thanks Meter: 998
 
More
AW: [DEV] How to build CM10.1 (Android 4.2.1) for the galaxysmtd
Building with JDK7 is now possible.
 
 
droidjam
20th January 2013, 08:59 AM |#92  
Guest
Thanks Meter: 0
 
More
Re: [DEV] How to build CM10.1 (Android 4.2.1) for the galaxysmtd
Quote:
Originally Posted by dark_knight35

Building with JDK7 is now possible.

Can you provide your source please?

2nd February 2013, 01:55 PM |#93  
Senior Member
Flag Sunnyvale, CA
Thanks Meter: 767
 
Donate to Me
More
HI,
I am building on ubuntu 12.10 64 bit.

I am getting the following error.

Code:
arm-linux-androideabi-g++: internal compiler error: Segmentation fault

What could be wrong?

Thanks
11th February 2013, 08:26 PM |#94  
bobo1337's Avatar
Senior Member
Thanks Meter: 123
 
More
I got error what to do can anyone help me?

Code:
E: Unable to locate package libwxgtk2.6-dev
E: Couldn't find any package by regex 'libwxgtk2.6-dev'
Last edited by bobo1337; 11th February 2013 at 08:29 PM.
11th February 2013, 08:43 PM |#95  
aways's Avatar
Senior Member
Flag \_(ツ)_/
Thanks Meter: 14,611
 
Donate to Me
More
Quote:
Originally Posted by bobo1337

I got error what to do can anyone help me?

Code:
E: Unable to locate package libwxgtk2.6-dev
E: Couldn't find any package by regex 'libwxgtk2.6-dev'

replace to : libwxgtk2.8-dev

---------- Post added at 09:43 PM ---------- Previous post was at 09:37 PM ----------

you need to change

Code:
sudo apt-get install git-core gnupg flex bison python rar original-awk gawk p7zip-full gperf libsdl1.2-dev libesd0-dev libwxgtk2.8-dev squashfs-tools build-essential zip curl libncurses5-dev zlib1g-dev pngcrush schedtool
The Following 2 Users Say Thank You to aways For This Useful Post: [ View ]
13th February 2013, 02:53 PM |#96  
bobo1337's Avatar
Senior Member
Thanks Meter: 123
 
More
Problem again what to do?


Code:
Done
build/core/product_config.mk:239: *** _nic.PRODUCTS.[[device/samsung/galaxysmtd/cm.mk]]: "device/samsung/aries-common/device_base.mk" does not exist.  Zaustavi.

** Don't have a product spec for: 'cm_galaxysmtd'
** Do you have the right repo manifest?
13th February 2013, 05:06 PM |#97  
yadavjpr's Avatar
Senior Member
Flag Pune
Thanks Meter: 212
 
More
Question Questions...
1. How I can build single app like Calculator, cClock etc.
2. I want to remove some apps like Apollo from build, how?

Thanks
13th February 2013, 06:16 PM |#98  
saszseb's Avatar
Senior Member
Flag Hungary, Gy-M-S.
Thanks Meter: 914
 
More
Re: [DEV] How to build CM10.1 (Android 4.2.1) for the galaxysmtd
Quote:
Originally Posted by bobo1337

Problem again what to do?


Code:
Done
build/core/product_config.mk:239: *** _nic.PRODUCTS.[[device/samsung/galaxysmtd/cm.mk]]: "device/samsung/aries-common/device_base.mk" does not exist.  Zaustavi.

** Don't have a product spec for: 'cm_galaxysmtd'
** Do you have the right repo manifest?

Is " Android SDK Manager" running?

Sent from my GT-I9000 using Tapatalk 2
13th February 2013, 07:25 PM |#99  
bobo1337's Avatar
Senior Member
Thanks Meter: 123
 
More
Re: [DEV] How to build CM10.1 (Android 4.2.1) for the galaxysmtd
No

Sent from my GT-I9000 using xda app-developers app
13th February 2013, 07:33 PM |#100  
aways's Avatar
Senior Member
Flag \_(ツ)_/
Thanks Meter: 14,611
 
Donate to Me
More
Quote:
Originally Posted by bobo1337

No

Sent from my GT-I9000 using xda app-developers app

did you try ?

Code:
. build/envsetup.sh && breakfast galaxysmtd
The Following User Says Thank You to aways For This Useful Post: [ View ]
14th February 2013, 02:51 PM |#101  
bobo1337's Avatar
Senior Member
Thanks Meter: 123
 
More
Re: [DEV] How to build CM10.1 (Android 4.2.1) for the galaxysmtd
Quote:
Originally Posted by aways

did you try ?

Code:
. build/envsetup.sh && breakfast galaxysmtd

Yes when i type
. build/envsetup.sh && breakfast galaxysmtd
I got that error


Sent from my MediaPad 7 Lite using xda app-developers app

Read More
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools
Display Modes